Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.complexscripts.fonts
Class GlyphTable.ChainedGlyphSequenceRule

    java.lang.Object
      org.apache.fop.complexscripts.fonts.GlyphTable.Rule
          org.apache.fop.complexscripts.fonts.GlyphTable.GlyphSequenceRule
              org.apache.fop.complexscripts.fonts.GlyphTable.ChainedGlyphSequenceRule

Enclosing class:
  GlyphTable

    public static class GlyphTable.ChainedGlyphSequenceRule

extends GlyphTable.GlyphSequenceRule

The `ChainedGlyphSequenceRule` class implements a subclass of `GlyphSequenceRule` that supports matching on a specific glyph sequence in a specific chained contextual.

Constructor Summary
`GlyphTable.ChainedGlyphSequenceRule(GlyphTable.RuleLookup[] lookups, int inputSequenceLength, int[] glyphs, int[] backtrackGlyphs, int[] lookaheadGlyphs)` Instantiate a ChainedGlyphSequenceRule.

Method Summary
`int[]` | `getBacktrackGlyphs()`
`int[]` | `getLookaheadGlyphs()`
`java.lang.String` | `toString()`

Methods inherited from class org.apache.fop.complexscripts.fonts.GlyphTable.GlyphSequenceRule
`getGlyphs, getGlyphs`

Methods inherited from class org.apache.fop.complexscripts.fonts.GlyphTable.Rule
`getInputSequenceLength, getLookups, resolveLookupReferences`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GlyphTable.ChainedGlyphSequenceRule

    public GlyphTable.ChainedGlyphSequenceRule(GlyphTable.RuleLookup[] lookups,
                                               int inputSequenceLength,
                                               int[] glyphs,
                                               int[] backtrackGlyphs,
                                               int[] lookaheadGlyphs)

  Instantiate a ChainedGlyphSequenceRule.

  Parameters:
    `lookups` - the rule's lookups
    `inputSequenceLength` - number of glyphs constituting input sequence (to be consumed)
    `glyphs` - the rule's input glyph sequence to match, starting with second glyph in sequence
    `backtrackGlyphs` - the rule's backtrack glyph sequence to match, starting with first glyph in sequence
    `lookaheadGlyphs` - the rule's lookahead glyph sequence to match, starting with first glyph in sequence

Method Detail

### getBacktrackGlyphs

    public int[] getBacktrackGlyphs()

  Returns:
    the backtrack glyphs

### getLookaheadGlyphs

    public int[] getLookaheadGlyphs()

  Returns:
    the lookahead glyphs

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `GlyphTable.GlyphSequenceRule`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2016 The Apache Software Foundation. All Rights Reserved.